hwloc_obj_attr_u(3)

NAME
hwloc_obj_attr_u

SYNOPSIS

#include <hwloc.h>

  Data Structures
struct hwloc_bridge_attr_s
struct hwloc_cache_attr_s
struct hwloc_group_attr_s
struct hwloc_numanode_attr_s
struct hwloc_osdev_attr_s
struct hwloc_pcidev_attr_s

  Data Fields
struct hwloc_obj_attr_u::hwloc_numanode_attr_s numanode
struct hwloc_obj_attr_u::hwloc_cache_attr_s cache
struct hwloc_obj_attr_u::hwloc_group_attr_s group
struct hwloc_obj_attr_u::hwloc_pcidev_attr_s pcidev
struct hwloc_obj_attr_u::hwloc_bridge_attr_s bridge
struct hwloc_obj_attr_u::hwloc_osdev_attr_s osdev

Detailed Description

Object type-specific Attributes.

Field Documentation

  struct hwloc_obj_attr_u::hwloc_bridge_attr_s hwloc_obj_attr_u::bridge

  struct hwloc_obj_attr_u::hwloc_cache_attr_s hwloc_obj_attr_u::cache

  struct hwloc_obj_attr_u::hwloc_group_attr_s hwloc_obj_attr_u::group

  struct hwloc_obj_attr_u::hwloc_numanode_attr_s hwloc_obj_attr_u::numanode

  struct hwloc_obj_attr_u::hwloc_osdev_attr_s hwloc_obj_attr_u::osdev

  struct hwloc_obj_attr_u::hwloc_pcidev_attr_s hwloc_obj_attr_u::pcidev

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.